Name: curlftpfs
Version: 0.9.2
Release: 11%{?dist}
Summary: CurlFtpFS is a filesystem for accessing FTP hosts based on FUSE and libcurl
URL: http://curlftpfs.sourceforge.net/
# Code does not specify a version of the license.
License: GPL+
Group: System Environment/Base
Requires: fuse
Source: http://downloads.sourceforge.net/curlftpfs/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: curl-devel >= 7.15.2 fuse-devel glib2-devel
# https://bugzilla.redhat.com/show_bug.cgi?id=831417
Patch1: curlftpfs-0.9.2-offset_64_another.patch

%description
CurlFtpFS is a filesystem for accessing FTP hosts based on FUSE and
libcurl. It features SSL support, connecting through tunneling HTTP
proxies, and automatically reconnecting if the server times out.

%prep
%setup -q
%patch1 -p1 -b .offset

%build
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf --preserve-root $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
%{__rm} -rf --preserve-root $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}/curlftpfs
%{_mandir}/*/curlftpfs.*
%doc README
%doc COPYING

%changelog
* Mon Aug 6 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.2-11
- Replace patch0 (offset 64 fix) by more correct (bz#831417).

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 24 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.2-7
- Fix bz#671204, thanks to Viktor for the patch.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 12 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.2-7
- New version 0.9.2

* Thu Sep 17 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.9.1-6
- Rebuild with new fuse

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.1-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.1-2
- Autorebuild for GCC 4.3

* Thu Apr 05 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 0.9.1-1
- 0.9.1

* Wed Mar 28 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 0.9-5
- Explicit dependency on fuse (bz#234349)

* Mon Jan 08 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 0.9-3
- Bump release number

* Tue Dec 12 2006 David Anderson <fedora-packaging@dw-perspective.org.uk> 0.9-1
- Initial package
